import {Provider, connect} from 'react-redux';
import {useEffect } from 'react'
import {Header, Footer, MainImg, Links} from "./index"
import thunk from 'redux-thunk';
import { bindActionCreators } from 'redux';
import actionCatalogCard from './../reducers/reducerCat';




const Catalog = ({state, categories = [], getData = () => console.log("no")}) => {
    useEffect(() => categories.length == 0 && getData(), []);
    //console.log(categories)
    return(
        <>
        <ul className = "catalog">
            {categories.map(category => <Links url = {`/catalog/` + category._id} text = {category.name}></Links>)}
        </ul>
        </>
  )}

const getCategories = state => {
    console.log("state", state)
    if(state.promiseRed.categories && state.promiseRed.categories.payload) {
        return state.promiseRed.categories.payload.data.CategoryFind
    }

    return [];
};
const mapStateToProps = state => ({
    state: state,
    categories: getCategories(state)
});

const mapDispatchToProps = dispatch => bindActionCreators({
    getData: actionCatalogCard
}, dispatch);


export default connect(mapStateToProps, mapDispatchToProps)(Catalog);